#pragma once
#include "Entity.h"
#define CS_ENEMY_HOPPY_CREATENAME L"CS_enemy_hoppy"
//µÐÈË£º±Ä±Ä
class CS_Enemy_Hoppy :
    public Entity
{
public:
    CS_Enemy_Hoppy();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    int act_no = 0;
    int act_wait = 0;
};

std::shared_ptr<Entity> CreateCS_Enemy_Hoppy();